SSM框架:MySQL踩坑

admin 343 0

还在忙小学期的项目,我的服务器快到期了,打算换一台玩玩Linux系统的,所以就打算把数据库和React、SSM项目全部部署到MXS的服务器上,他的服务器装了一个5.7.26版本的MySQL。

用mybatis-generator自动生成MyBatis时,一直报错:

Failed to execute goal org.mybatis.generator:mybatis-generator-maven-plugin:1.3.5:generate (default-cli) on project rio: Execution default-cli of goal org.mybatis.generator:mybatis-generator-maven-plugin:1.3.5:generate failed: Exception getting JDBC Driver

找不到MySQL驱动?我用的还是原来的那种写法,maven中写的是5.1.33的驱动版本,因为之前用5.5的Mysql一直没问题,jh老师说5版本都可以用这个。

然后上网搜了一下······

果然,不是个例!5.7的数据库只能用8.0的驱动,官网也确实说了, Connector/J 8.0 provides compatibility with all the functionality of MySQL 5.5, 5.6, 5.7, and 8.0 ,向下兼容性还是可以的!

 

换成8.0的驱动,maven用的8.0.16,一切🆗!

<!-- 数据库驱动 -->
    <dependency>
      <groupId>mysql</groupId>
      <artifactId>mysql-connector-java</artifactId>
      <version>8.0.16</version>
    </dependency>
driver=com.mysql.cj.jdbc.Driver

 

 

发表评论 取消回复
表情 图片 链接 代码

分享